" PLUGIN: ALE
" clearer Error and warning signs for the gutter
let g:ale_sign_error = ''
let g:ale_sign_warning = ''

let g:ale_fix_on_save = 1
let g:ale_fixers = {
      \'javascipt': ['eslint', 'prettier'],
      \'html': ['tidy','prettier'],
      \'typescript': ['prettier','tslint'],
      \'*': ['remove_trailing_lines', 'trim_whitespace'],
      \'go': ['gofmt'],
      \'sh': ['shfmt'],
      \'zsh': ['shfmt'],
      \}
let g:ale_linters = {
      \ 'go': ['gopls'],
      \ 'sh': ['language_server','shellcheck'],
      \ 'zsh': ['language_server','shellcheck'],
      \}


" Enable integration with airline.
if exists("g:airline_theme")
  let g:airline#extensions#ale#enabled = 1
endif
